TICKIT_RENDERBUFFER_SAVE(3)

NAME
tickit_renderbuffer_save, tickit_renderbuffer_restore, tickit_renderbuffer_savepen - save and restore auxiliary state

SYNOPSIS
    #include <tickit.h>

    void tickit_renderbuffer_save(TickitRenderBuffer *rb);
    void tickit_renderbuffer_restore(TickitRenderBuffer *rb);
    void tickit_renderbuffer_savepen(TickitRenderBuffer *rb);

Link with -ltickit.

DESCRIPTION
tickit_renderbuffer_save() pushes a new entry to the buffer's saved state stack. This will capture the current values of the auxiliary state, which can be later restored using tickit_renderbuffer_restore().

tickit_renderbuffer_restore() pops the most recent entry on the buffer's saved state stack and reverts the values of the auxiliary state back to the saved values.

tickit_renderbuffer_savepen() pushes a new entry to the stack containing just the current pen value. When it is restored, it will only restore the pen; the other attributes will be unaffected.

AUXILIARY STATE
The state saved and restored by these functions is:

*   the virtual cursor position

*   the translation offset

*   the clipping rectangle

*   the current pen

*   the set of masked regions

The pending content is not part of the state stack. It is intended that the state stack be used to help implement recursive drawing operations within the application, by dividing it into separate independent areas; allowing the state to be saved and restored between component parts.

RETURN VALUE
None of these functions return a value.

SEE ALSO
tickit_renderbuffer_new(3), tickit_renderbuffer_reset(3), tickit_renderbuffer(7), tickit(7)